WLAN Optimization
26 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| exportRfPlanningHistory | POST | Export PlanningHistory |
| cancelRadioFrequencyPlanning | POST | cancel Radio Frequency Planning |
| startOptimization | POST | start Optimization |
| startRrmOptimization | POST | start Rrm Optimization |
| getExperienceIndex | GET | get Experience Index |
| getGirdPlanningHistorys | GET | get Gird Planning Historys |
| deletePlanningHistory | DELETE | delete Planning History |
| getPlanningHistory | GET | Get Planning History |
| applyPlanningHistory | POST | apply Planning History |
| batchDeletePlanningHistory | POST | Batch Delete PlanningHistory |
| getPlanningHistorysByTime | GET | Get the planningHistory |
| getRadioFrequencyPlanningConfig | GET | get Radio Frequency Planning Config |
| modifyRFPlanningDeployConfig | PUT | modify RF Planning Deploy Config |
| queryRFPlanningBoard | GET | Get RRM AI time line |
| queryRFPlanningDashboardHistory | GET | Get RRM AI dashboard history time line |
| queryRFPlanningBoardStatus | GET | Get RRM AI dashboard status |
| getExcludeAps | GET | get ExcludeAps |
| modifyExcludeAps | PUT | modify Exclude Aps |
| deleteExcludeAps | POST | Delete ExcludeAps |
| getRFPlanningDeployHistory | GET | get RF Planning Deploy History |
| getLast20PlanningHistorys | GET | get Last 20 PlanningHistorys |
| getTimeLinePlanningHistorys | GET | Get the planningHistory Time Line |
| getRadioFrequencyPlanningResult | GET | get Radio Frequency Planning Result |
| modifyRFPlanningScheduleConfig | PUT | modify RF Planning Schedule Config |
| getRadioFrequencyPlanningConfigTemplate | GET | get Radio Frequency Planning Config Template |
| modifyRFPlanningDeployConfigTemplate | PUT | modify RF Planning Deploy Config Template |
exportRfPlanningHistory
POST /openapi/v1/{omadacId}/files/sites/{siteId}/rfPlanning/history/export
Export PlanningHistory
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema Export RF planning history openapi VO
| Field | Type | Required | Description |
|---|---|---|---|
type | string | no | Export policy, type should be a value as follows:, all: export all history, include: export history in ids, exclude: exclude history in ids. |
export_format | integer | yes | Export file format, should be a value as follows: 0: csv, 1: xlsx |
history_ids | array<string> | no | RfPlanningHistoryId list |
start | integer | no | Start time of history to export (millisecond timestamp) |
end | integer | no | End time of history to export (millisecond timestamp) |
filter_mode | integer | no | filtermode should be a value as follows: 1: rfPlanningHistory mode is manual; 2:rfPlanningHistory mode is adaptive |
// omada_call_operation
{
"operationId": "exportRfPlanningHistory",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Export PlanningHistory
The interface requires one of the permissions:
Site Export Data Access
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
cancelRadioFrequencyPlanning
POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/rfPlanning/cancel
cancel Radio Frequency Planning
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "cancelRadioFrequencyPlanning",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
cancel Radio Frequency Planning
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
startOptimization
POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/rfPlanning/optimization
start Optimization
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema Optimization Strategy
| Field | Type | Required | Description |
|---|---|---|---|
optimizationStrategy | integer | yes | Strategy of WLAN Optimization. 0: Global Optimization. 1: Optimization Adjustment, when WLAN Optimization is performed for the first time, that is, when API [get RF Planning Deploy History] returns ‘true’, this option is equivalent to Global Optimization. |
// omada_call_operation
{
"operationId": "startOptimization",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
start Optimization
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
startRrmOptimization
POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/rfPlanning/rrmOptimization
start Rrm Optimization
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema Optimization Strategy
| Field | Type | Required | Description |
|---|---|---|---|
optimizationStrategy | integer | yes | Strategy of WLAN Optimization. 0: Global Optimization. 1: Optimization Adjustment, when WLAN Optimization is performed for the first time, that is, when API [get RF Planning Deploy History] returns ‘true’, this option is equivalent to Global Optimization. |
// omada_call_operation
{
"operationId": "startRrmOptimization",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
start Rrm Optimization
The interface requires one of the permissions:
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
getExperienceIndex
GET /openapi/v1/{omadacId}/sites/{siteId}/experienceIndex
get Experience Index
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getExperienceIndex",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
get Experience Index
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
getGirdPlanningHistorys
GET /openapi/v1/{omadacId}/sites/{siteId}/planningHistory
get Gird Planning Historys
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGirdPlanningHistorys",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
get Gird Planning Historys
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
deletePlanningHistory
DELETE /openapi/v1/{omadacId}/sites/{siteId}/planningHistory/{id}
delete Planning History
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | planning history ID |
// omada_call_operation
{
"operationId": "deletePlanningHistory",
"params": {
"siteId": "<siteId>",
"id": "<id>"
}
}Details, permissions and error codes
delete Planning History
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
getPlanningHistory
GET /openapi/v1/{omadacId}/sites/{siteId}/planningHistory/{id}
Get Planning History
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | planning history ID |
// omada_call_operation
{
"operationId": "getPlanningHistory",
"params": {
"siteId": "<siteId>",
"id": "<id>"
}
}Details, permissions and error codes
Get Planning History
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
applyPlanningHistory
POST /openapi/v1/{omadacId}/sites/{siteId}/planningHistory/{id}
apply Planning History
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | planning history ID |
Request body — application/json (required) — schema Applied Config
| Field | Type | Required | Description |
|---|---|---|---|
appliedConfig | integer | no | The value of parameter [appliedConfig] should be 1 or 2. 1: apply recommended config. 2: apply previous config. |
// omada_call_operation
{
"operationId": "applyPlanningHistory",
"params": {
"siteId": "<siteId>",
"id": "<id>"
},
"body": "{...}"
}Details, permissions and error codes
apply Planning History
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
batchDeletePlanningHistory
POST /openapi/v1/{omadacId}/sites/{siteId}/planningHistory/batch/delete
Batch Delete PlanningHistory
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema Batch Delete PlanningHistory
| Field | Type | Required | Description |
|---|---|---|---|
type | string | no | Delete policy, all: delete all history, include: delete history in ids, exclude: exclude history in ids. |
ids | array<string> | no | HistoryId list |
start | integer | no | Start time of the history to be deleted(millisecond timestamp) |
end | integer | no | End time of the history to be deleted(millisecond timestamp) |
filter_mode | integer | no | filtermode should be a value as follows: 1: rfPlanningHistory mode is manual; 2:rfPlanningHistory mode is adaptive |
// omada_call_operation
{
"operationId": "batchDeletePlanningHistory",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch Delete PlanningHistory
The interface requires one of the permissions:
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
getPlanningHistorysByTime
GET /openapi/v1/{omadacId}/sites/{siteId}/planningHistoryByTime
Get the planningHistory
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
currentPage | query | integer | yes | Start page number. Start from 1. |
currentPageSize | query | integer | yes | Number of entries per page. It should be within the range of 1–1000. |
start | query | integer | yes | start time |
end | query | integer | yes | end time |
// omada_call_operation
{
"operationId": "getPlanningHistorysByTime",
"params": {
"siteId": "<siteId>",
"currentPage": "<currentPage>",
"currentPageSize": "<currentPageSize>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get the planningHistory by time
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
getRadioFrequencyPlanningConfig
GET /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning
get Radio Frequency Planning Config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getRadioFrequencyPlanningConfig",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
get Radio Frequency Planning Config
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
modifyRFPlanningDeployConfig
PUT /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/config
modify RF Planning Deploy Config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema RF Planning Deploy Config
| Field | Type | Required | Description |
|---|---|---|---|
mode | integer | yes | 0: Auto configuration. 1: Custom configuration. |
customSetting | CustomSettingVO | no | (CustomSettingVO not expanded; call omada_get_schema "CustomSettingVO") |
// omada_call_operation
{
"operationId": "modifyRFPlanningDeployConfig",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
modify RF Planning Deploy Config
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
queryRFPlanningBoard
GET /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/dashboard
Get RRM AI time line
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
// omada_call_operation
{
"operationId": "queryRFPlanningBoard",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get RRM AI time line
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
queryRFPlanningDashboardHistory
GET /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/dashboard/history
Get RRM AI dashboard history time line
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | Start timestamp, in milliseconds, such as 174951360000 |
end | query | integer | yes | End timestamp, in milliseconds, such as 1749600000000 |
// omada_call_operation
{
"operationId": "queryRFPlanningDashboardHistory",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>"
}
}Details, permissions and error codes
Get RRM AI dashboard history time line
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
queryRFPlanningBoardStatus
GET /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/dashboard/status
Get RRM AI dashboard status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "queryRFPlanningBoardStatus",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get RRM AI dashboard status
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
getExcludeAps
GET /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/excludeAps
get ExcludeAps
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
currentPage | query | integer | yes | Start page number. Start from 1. |
currentPageSize | query | integer | yes | Number of entries per page. It should be within the range of 1–1000. |
// omada_call_operation
{
"operationId": "getExcludeAps",
"params": {
"siteId": "<siteId>",
"currentPage": "<currentPage>",
"currentPageSize": "<currentPageSize>"
}
}Details, permissions and error codes
get ExcludeAps
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
modifyExcludeAps
PUT /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/excludeAps
modify Exclude Aps
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema Excluded APs Config
| Field | Type | Required | Description |
|---|---|---|---|
delete | boolean | yes | Whether to delete device(s) from the excluded AP list. |
excludeAps | string | no | Parameter [excludeAps] should not be null when parameter [delete] is true. It contains device MAC that should not be excluded. MAC should be concatenated with ','. |
selectMacs | SelectMacsVO | no | (SelectMacsVO not expanded; call omada_get_schema "SelectMacsVO") |
// omada_call_operation
{
"operationId": "modifyExcludeAps",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
modify Exclude Aps
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
deleteExcludeAps
POST /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/excludeAps/delete
Delete ExcludeAps
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ExcludeApDeleteOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
selectType | string | no | The value of parameter [selectType] must be in [all, include, exclude]. |
macs | array<string> | no | MAC list. When parameter [selectType] is 'all', it should be null.When parameter [selectType] is 'include', it means the MAC list that needs to be included.When parameter [selectType] is 'exclude', it means the MAC list that needs to be excluded. |
// omada_call_operation
{
"operationId": "deleteExcludeAps",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete ExcludeAps
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
getRFPlanningDeployHistory
GET /openapi/v1/{omadacId}/sites/{siteId}/rfplanning/history
get RF Planning Deploy History
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getRFPlanningDeployHistory",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
check whether RF Planning has been successfully executed before.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
getLast20PlanningHistorys
GET /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/history/last20times
get Last 20 PlanningHistorys
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getLast20PlanningHistorys",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
get Last 20 PlanningHistorys
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
getTimeLinePlanningHistorys
GET /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/history/timeline
Get the planningHistory Time Line
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
start | query | integer | yes | start time |
end | query | integer | yes | end time |
type | query | integer | yes | type:0-day,1-week |
// omada_call_operation
{
"operationId": "getTimeLinePlanningHistorys",
"params": {
"siteId": "<siteId>",
"start": "<start>",
"end": "<end>",
"type": "<type>"
}
}Details, permissions and error codes
Get the planningHistory drawing of the past period of time
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
getRadioFrequencyPlanningResult
GET /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/result
get Radio Frequency Planning Result
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getRadioFrequencyPlanningResult",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
get Radio Frequency Planning Result
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
modifyRFPlanningScheduleConfig
PUT /openapi/v1/{omadacId}/sites/{siteId}/rfPlanning/schedule/config
modify RF Planning Schedule Config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema RFPlanningScheduleConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
scheduleEnable | boolean | yes | Whether by WLAN Optimization schedule. The optimization schedule function is temporarily offline. |
occurrence | occurrence | yes | (occurrence not expanded; call omada_get_schema "occurrence") |
// omada_call_operation
{
"operationId": "modifyRFPlanningScheduleConfig",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
modify RF Planning Schedule Config
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33000 - This site does not exist.
getRadioFrequencyPlanningConfigTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/rfPlanning/config
get Radio Frequency Planning Config Template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getRadioFrequencyPlanningConfigTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
get Radio Frequency Planning Config Template
The interface requires one of the permissions:
Site Settings Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
modifyRFPlanningDeployConfigTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/rfPlanning/config
modify RF Planning Deploy Config Template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema RF Planning Deploy Config
| Field | Type | Required | Description |
|---|---|---|---|
mode | integer | yes | 0: Auto configuration. 1: Custom configuration. |
customSetting | CustomSettingVO | no | (CustomSettingVO not expanded; call omada_get_schema "CustomSettingVO") |
// omada_call_operation
{
"operationId": "modifyRFPlanningDeployConfigTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
modify RF Planning Deploy Config Template
The interface requires one of the permissions:
Site Settings Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.